clear; clc; format short g;

K1 = 540;
K2 = 190;
K3 = 68;
phi = 0.1;
z1 = 0.1;
z2 = 0.2;
z3 = 1-z1-z2;



P(1) = 130;

for i = 1:5

f(i) = z1*(1-K1/ P(i) ) ./ ( 1 + phi * ( K1/P(i) - 1) ) ...
     + z2*(1-K2/ P(i) ) ./ ( 1 + phi * ( K2/P(i) - 1) ) ...
     + z3*(1-K3/ P(i) ) ./ ( 1 + phi * ( K3/P(i) - 1) ) ;

fprime(i) = z1 * K1 / ( P(i) + phi*K1 - phi * P(i) ).^2 ...
          + z2 * K2 / ( P(i) + phi*K2 - phi * P(i) ).^2 ...
          + z3 * K3 / ( P(i) + phi*K3 - phi * P(i) ).^2 ;
      
      
P(i+1) = P(i) - f(i)/fprime(i);

end

f(i+1) = z1*(1-K1/ P(i+1) ) ./ ( 1 + phi * ( K1/P(i+1) - 1) ) ...
       + z2*(1-K2/ P(i+1) ) ./ ( 1 + phi * ( K2/P(i+1) - 1) ) ...
       + z3*(1-K3/ P(i+1) ) ./ ( 1 + phi * ( K3/P(i+1) - 1) ) ;

fprime(i+1) = z1 * K1 / ( P(i+1) + phi*K1 - phi * P(i+1) ).^2 ...
            + z2 * K2 / ( P(i+1) + phi*K2 - phi * P(i+1) ).^2 ...
            + z3 * K3 / ( P(i+1) + phi*K3 - phi * P(i+1) ).^2 ;

D(1) = 0;

for j = 2:i+1
    D(j) = abs( P(j) - P(j-1) ) / P(j-1) * 100;
end


[(0:5)' P' f' fprime' D']